<?php
$bt="QQ帐号登录一线印象";
include"../head.php";
include"../conn.php";
include_once"../function.php";
include"fun.php";
$z=$_GET["z"];
if($z==1){
$qq=sqlstr($_POST["qq"]);//QQ
$pwd=sqlstr($_POST["pwd"]);//QQ密码

$Login=Login($qq,$pwd);

if($Login===true){
$qqinfo=mysql_fetch_array(mysql_query("select * from user where qq='$qq'"));
if(!$qqinfo){
echo "<div id='main'><font color='red'>这个QQ号还没有绑定本站帐号，赶快注册一个帐号吧</font></div>";

}else{
$sid=$qqinfo["sid"];

setcookie('dl',$sid,time()+31536000,'/',$_SERVER['HTTP_HOST']);//设置cookies
header("Location:/m/diary/index.php");
exit;//跳转到日记页面

}
}elseif($Login==1){
echo"<div id='main'><font color='red'>QQ帐号或者密码错误</font></div>";
}elseif($Login==2){
echo"<div id='main'><font color='red'>QQ登录异常，暂时不支持验证码输入。</font></div>";
}else{
echo" <div id='main'><font color='red'>登录失败，未知错误</font></div> ";
}
}
?>

<div id="main"><p class="hl">QQ登录到一线印象</p>
<form action="login.php?z=1" method="post">
<p><label class="liblogtag">QQ帐号: </label></p><p><input type="text"  class="loginput" name="qq" maxlength="15"/></p>
<p><label class="liblogtag">QQ密码: </label></p><p><input type="password" name="pwd"  class="loginput" maxlength="18"/></p>
<p><input class="libbtn" name="libreg"type="submit" value="立即登录" />  　<a href="../login.php">切换普通登录</a></p>
</form><br/><font color="red"><b>安全协议</b></font><br/>1. 只有绑定一线印象帐号的QQ号才能使用QQ登录，体验前请<a href="../reg.php">注册</a>一线印象。<br/>2. 一线印象郑重承诺不会记录你的任何隐私信息，请放心登录。<br/>3. 系统采用非腾讯SDK接入，可能会与你正在登录的QQ号冲突，导致下线。 <br/>4. 如果你使用本QQ登录，说明你同意本协议。
</div>

<div id="libbottom" class="ll"><a href="reg.php">注册印象</a> | <a href="about.php">关于印象</a><br /><?php echo $showtime=date("Y年m月d日 H:i:s");?><br />Linerss.com By Dayin<br/>© 一线印象日记本儿</div>
